Bug 601090 - time drift due to incorrect accounting of lost ticks with VXTIME_PMTMR mode and VXTIME_TSC mode if 'tick_divider' > 1 [rhel-5.5.z]
Summary: time drift due to incorrect accounting of lost ticks with VXTIME_PMTMR mode a...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.4.z
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 579711
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 08:00 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The timer_interrupt() routine did not scale lost real ticks to logical ticks correctly. This could have caused time drift for 64-bit Red Hat Enterprise Linux 5: KVM (Kernel-based Virtual Machine) guests that were booted with the "divider=x" kernel parameter set to a value greater than 1. "warning: many lost ticks" messages may have been logged on the affected guest systems.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 18:29:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 18:26:58 UTC

Description RHEL Product and Program Management 2010-06-07 08:00:43 UTC
This bug has been copied from bug #579711 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Jiri Pirko 2010-06-07 13:31:30 UTC
in 2.6.18-194.6.1.el5

Comment 8 Douglas Silas 2010-06-28 20:53:45 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The timer_interrupt() routine did not scale lost real ticks to logical ticks correctly. This could have caused time drift for 64-bit Red Hat Enterprise Linux 5: KVM (Kernel-based Virtual Machine) guests that were booted with the "divider=x" kernel parameter set to a value greater than 1. "warning: many lost ticks" messages may have been logged on the affected guest systems.

Comment 10 errata-xmlrpc 2010-07-01 18:29:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html


Note You need to log in before you can comment on or make changes to this bug.